---
updatedAt: 2025-11-11T00:10:35.000Z
agentTools:
  projectIndex: https://docs.interswitchgroup.com/v1.1/llms.txt
---

# Credit Inquiry Request

This endpoint receives a request to confirm if an account specified in destinationAccountNumber can be credited with a specified amount . 

On the successful completion of a credit inquiry, the transaction is logged in Transfer service and awaits a completion update with the same client reference sent in the inquiry or the transaction reference returned in the inquiry response.

\* *Response Message Description*

<Table align={["left","left","left","left"]}>
  <thead>
    <tr>
      <th style={{ textAlign: "left" }}>

      </th>

      <th style={{ textAlign: "left" }}>

      </th>

      <th style={{ textAlign: "left" }}>

      </th>

      <th style={{ textAlign: "left" }}>

      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td style={{ textAlign: "left" }}>
        Field

        #
      </td>

      <td style={{ textAlign: "left" }}>
        Field Name
      </td>

      <td style={{ textAlign: "left" }}>
        Data type
      </td>

      <td style={{ textAlign: "left" }}>
        Description
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        1
      </td>

      <td style={{ textAlign: "left" }}>
        responseCode
      </td>

      <td style={{ textAlign: "left" }}>
        String
      </td>

      <td style={{ textAlign: "left" }}>
        Response Code
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        2
      </td>

      <td style={{ textAlign: "left" }}>
        responseMessage
      </td>

      <td style={{ textAlign: "left" }}>
        String
      </td>

      <td style={{ textAlign: "left" }}>
        Response Message
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        3
      </td>

      <td style={{ textAlign: "left" }}>
        accountName
      </td>

      <td style={{ textAlign: "left" }}>
        String
      </td>

      <td style={{ textAlign: "left" }}>
        Account Name
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        4
      </td>

      <td style={{ textAlign: "left" }}>
        accountNumber
      </td>

      <td style={{ textAlign: "left" }}>
        String
      </td>

      <td style={{ textAlign: "left" }}>
        Account Number
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        5
      </td>

      <td style={{ textAlign: "left" }}>
        clientRef
      </td>

      <td style={{ textAlign: "left" }}>
        String
      </td>

      <td style={{ textAlign: "left" }}>
        Initial reference sent by client if sent, or one auto generated by system
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        6
      </td>

      <td style={{ textAlign: "left" }}>
        transactionReference
      </td>

      <td style={{ textAlign: "left" }}>
        String
      </td>

      <td style={{ textAlign: "left" }}>
        Unique transaction reference
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        7
      </td>

      <td style={{ textAlign: "left" }}>
        bankVerificationNumber
      </td>

      <td style={{ textAlign: "left" }}>
        String
      </td>

      <td style={{ textAlign: "left" }}>
        Bank Verification Number
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        8
      </td>

      <td style={{ textAlign: "left" }}>
        kycLevel
      </td>

      <td style={{ textAlign: "left" }}>
        String
      </td>

      <td style={{ textAlign: "left" }}>
        KYC Level
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        9
      </td>

      <td style={{ textAlign: "left" }}>
        accountType
      </td>

      <td style={{ textAlign: "left" }}>
        String
      </td>

      <td style={{ textAlign: "left" }}>
        Current, Savings or Credit
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        10
      </td>

      <td style={{ textAlign: "left" }}>
        accountCurrency
      </td>

      <td style={{ textAlign: "left" }}>
        String
      </td>

      <td style={{ textAlign: "left" }}>
        ISO currency
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        11
      </td>

      <td style={{ textAlign: "left" }}>
        address
      </td>

      <td style={{ textAlign: "left" }}>
        String
      </td>

      <td style={{ textAlign: "left" }}>
        Receiver’s address.   At present this attribute will not be used for any further processing.
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        12
      </td>

      <td style={{ textAlign: "left" }}>
        countryCode
      </td>

      <td style={{ textAlign: "left" }}>
        String
      </td>

      <td style={{ textAlign: "left" }}>
        Country code of the transaction. This is the ISO country code.
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        13
      </td>

      <td style={{ textAlign: "left" }}>
        canCredit
      </td>

      <td style={{ textAlign: "left" }}>
        Boolean
      </td>

      <td style={{ textAlign: "left" }}>
        f the account validation is successful for credit this will be true. Note: If true allow customer to proceed to complete the credit otherwise, fail the transaction. This is usually because the account is dormant, or the account cannot receive the amount specified.
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        14
      </td>

      <td style={{ textAlign: "left" }}>
        systemResponseCode
      </td>

      <td style={{ textAlign: "left" }}>
        String
      </td>

      <td style={{ textAlign: "left" }}>
        System Response code that is sometimes included in response in case of exceptions in the system. This helps with issue resolution
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        15
      </td>

      <td style={{ textAlign: "left" }}>
        action
      </td>

      <td style={{ textAlign: "left" }}>
        String
      </td>

      <td style={{ textAlign: "left" }}>
        Action on transaction as received from the middleware
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        16
      </td>

      <td style={{ textAlign: "left" }}>
        settlementStatus
      </td>

      <td style={{ textAlign: "left" }}>
        Status
      </td>

      <td style={{ textAlign: "left" }}>
        Settlement status of inquiry transaction. Default settlement status for Inquiry is NEW
      </td>
    </tr>
  </tbody>
</Table>

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "transfer-service",
    "version": "1.1"
  },
  "servers": [
    {
      "url": "https://isw-transfer-service-core-microservice.k8.isw.la"
    }
  ],
  "security": [
    {}
  ],
  "paths": {
    "/transfers/inquiries/credit": {
      "post": {
        "summary": "Credit Inquiry Request",
        "description": "This endpoint receives a request to confirm if an account specified in destinationAccountNumber can be credited with a specified amount . \n\nOn the successful completion of a credit inquiry, the transaction is logged in Transfer service and awaits a completion update with the same client reference sent in the inquiry or the transaction reference returned in the inquiry response.",
        "operationId": "credit-inquiry-request",
        "parameters": [
          {
            "name": "Authorization",
            "in": "header",
            "schema": {
              "type": "string",
              "default": "Bearer {Passport Access Token}"
            }
          },
          {
            "name": "Content-Type",
            "in": "header",
            "schema": {
              "type": "string",
              "default": "application/json"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "sourceAccountNumber",
                  "sourceAccountName",
                  "destinationAccountNumber",
                  "destinationInstitutionCode",
                  "transactionAmount",
                  "currencyCode",
                  "clientRef",
                  "channelCode"
                ],
                "properties": {
                  "sourceAccountNumber": {
                    "type": "string",
                    "description": "Source Account number"
                  },
                  "sourceAccountName": {
                    "type": "string",
                    "description": "Source Account Name"
                  },
                  "sourceBankVerificationNumber": {
                    "type": "string",
                    "description": "Source Customer Bank Verification Number"
                  },
                  "destinationAccountNumber": {
                    "type": "string",
                    "description": "Destination Account Number"
                  },
                  "destinationInstitutionCode": {
                    "type": "string",
                    "description": "Destination Institution code"
                  },
                  "transactionAmount": {
                    "type": "integer",
                    "description": "Amount in minor denomination",
                    "format": "int64"
                  },
                  "currencyCode": {
                    "type": "string",
                    "description": "ISO currency code ( ISO Numeric Code)"
                  },
                  "clientRef": {
                    "type": "string",
                    "description": "Unique reference per transaction"
                  },
                  "mobileNumber": {
                    "type": "string",
                    "description": "Internationally formatted mobile number"
                  },
                  "emailAddress": {
                    "type": "string",
                    "description": "Customer Email Address"
                  },
                  "paymentLocation": {
                    "type": "string",
                    "description": "The name and location of the card acceptor (such as a merchant or an ATM)."
                  },
                  "channelCode": {
                    "type": "integer",
                    "description": "Channel ID",
                    "format": "int32"
                  },
                  "destinationInstitutionAlias": {
                    "type": "string",
                    "description": "Institutions Alias. Can be used instead of destinationInstitutionCode"
                  },
                  "mcc": {
                    "type": "integer",
                    "description": "The classification of the merchant’s type of business product or service.",
                    "format": "int64"
                  },
                  "rrn": {
                    "type": "integer",
                    "description": "A reference number supplied by the system retaining the original source information and used to assist in locating that information or a copy thereof.",
                    "format": "int64"
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n \"accountType\": \"SAVINGS\",\n\n\"accountCurrency\": \"NGN\",\n\n\"address\": \"1 AYANBOYE STREET ANTHONY KOSOFE LAGOS\",\n\n\"responseCode\": \"00\",\n\n\"responseMessage\": \"Approved or completed successfully\",\n\n\"transactionReference\": \"CR|SUN|ABP|250720201707|237233\",\n\n\"bankVerificationNumber\": \"1234565667\",\n\n\"kycLevel\": \"1\",\n\n\"canCredit\": true,\n\n\"settlementStatus\": \"NEW\",\n\n\"action\": \"SUCCESS\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "accountType": {
                      "type": "string",
                      "example": "SAVINGS"
                    },
                    "accountCurrency": {
                      "type": "string",
                      "example": "NGN"
                    },
                    "address": {
                      "type": "string",
                      "example": "1 AYANBOYE STREET ANTHONY KOSOFE LAGOS"
                    },
                    "responseCode": {
                      "type": "string",
                      "example": "00"
                    },
                    "responseMessage": {
                      "type": "string",
                      "example": "Approved or completed successfully"
                    },
                    "transactionReference": {
                      "type": "string",
                      "example": "CR|SUN|ABP|250720201707|237233"
                    },
                    "bankVerificationNumber": {
                      "type": "string",
                      "example": "1234565667"
                    },
                    "kycLevel": {
                      "type": "string",
                      "example": "1"
                    },
                    "canCredit": {
                      "type": "boolean",
                      "example": true,
                      "default": true
                    },
                    "settlementStatus": {
                      "type": "string",
                      "example": "NEW"
                    },
                    "action": {
                      "type": "string",
                      "example": "SUCCESS"
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          },
          "409": {
            "description": "409",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"clientRef\": \"abc1222223knkj\",\n   \"responseCode\": \"39\",\n  \"responseMessage\": \"Invalid Account\",\n  \"transactionReference\": \"CR|SUN|ABP|231120201142|244092\",\n  \"canCredit\": false, \n  \"action\": \"FAILURE\" \n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "clientRef": {
                      "type": "string",
                      "example": "abc1222223knkj"
                    },
                    "responseCode": {
                      "type": "string",
                      "example": "39"
                    },
                    "responseMessage": {
                      "type": "string",
                      "example": "Invalid Account"
                    },
                    "transactionReference": {
                      "type": "string",
                      "example": "CR|SUN|ABP|231120201142|244092"
                    },
                    "canCredit": {
                      "type": "boolean",
                      "example": false,
                      "default": true
                    },
                    "action": {
                      "type": "string",
                      "example": "FAILURE"
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false,
        "x-readme": {
          "code-samples": [
            {
              "language": "curl",
              "code": "curl https://isw-transfer-service-core-microservice.k8.isw.la/inquiries/credit \\\n-H \"Authorization: Bearer {Passport Access Token}\" \\\n-H \"Content-Type: application/json\" \\\n-d '{\n \t\"destinationAccountNumber \" : \"0123456789\",\n    \"sourceAccountNumber\": \"8096080\",\n    \"sourceAccountName\": \"Tolani Moshood\",\n    \"destinationInstitutionCode\":\"ABP\",\n    \"transactionAmount\": 300000,\n    \"currencyCode\": \"566\",\n    \"clientRef\" : \"abc1222223knkj\",\n    \"mobileNumber\":\"2348089546016\",\n    \"emailAddress\" : \"siryaya@gmail.com\",\n    \"channelCode\":2,\n    \"paymentLocation\": \"PBL,T,10360057075012,Adubiaro, DeborLaNG\"\n}' \n-X POST"
            }
          ],
          "samples-languages": [
            "curl"
          ]
        }
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```